# HasOnlyReadOnly

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Bar** | Pointer to **string** |  | [optional] 
**Foo** | Pointer to **string** |  | [optional] 

## Methods

### GetBar

`func (o *HasOnlyReadOnly) GetBar() string`

GetBar returns the Bar field if non-nil, zero value otherwise.

### GetBarOk

`func (o *HasOnlyReadOnly) GetBarOk() (string, bool)`

GetBarOk returns a tuple with the Bar field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### HasBar

`func (o *HasOnlyReadOnly) HasBar() bool`

HasBar returns a boolean if a field has been set.

### SetBar

`func (o *HasOnlyReadOnly) SetBar(v string)`

SetBar gets a reference to the given string and assigns it to the Bar field.

### GetFoo

`func (o *HasOnlyReadOnly) GetFoo() string`

GetFoo returns the Foo field if non-nil, zero value otherwise.

### GetFooOk

`func (o *HasOnlyReadOnly) GetFooOk() (string, bool)`

GetFooOk returns a tuple with the Foo field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### HasFoo

`func (o *HasOnlyReadOnly) HasFoo() bool`

HasFoo returns a boolean if a field has been set.

### SetFoo

`func (o *HasOnlyReadOnly) SetFoo(v string)`

SetFoo gets a reference to the given string and assigns it to the Foo field.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


